<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 0627c1498cde $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-02 12:07 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
//@phan-file-suppress PhanUndeclaredClassMethod,PhanUndeclaredMethod,PhanUndeclaredExtendedClass
use Sabre\DAV;
use Sabre\Uri;

class we_davfs_tmpFile extends DAV\TemporaryFileFilterPlugin{
	protected $filename = '';

	protected function isTempFile($path){
		// We're only interested in the basename.
		[, $tempPath] = Uri\split($path); //@phan-suppress-current-line PhanUndeclaredFunction

		if(null === $tempPath){
			return false;
		}

		foreach($this->temporaryFilePatterns as $tempFile){
			if(preg_match($tempFile, $tempPath)){
				$this->filename = 'davfs_' . md5($path);
				we_base_file::insertIntoCleanUp(TEMP_DIR . $this->filename, 24 * 3600);
				return $this->getDataDir() . '/' . $this->filename;
			}
		}

		return false;
	}

}
