<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 31b2b6822657 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-31 12:25 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_showObject extends we_editor_base{
	/** @var we_contents_objectFile */
	protected $we_doc = null;

	public function show(): string{
		$tids = $this->we_doc->getClassTemplates();
		if(empty($tids)){
			$editor = new we_editor_contentobjectFile($this->we_doc);
			$editor->setPreview();
			return $editor->show();
		}
		$doc = new we_document_triggerDocument(we_base_request::int('we_cmd', 0, 1));
		we_base_WE::setWeDoc($doc);
		$doc->initByObj($this->we_doc);
		try{
			$inc = we_base_showDocument::prePareIncObj($this->we_doc, $tids[0]);
			return $inc->show();
		} catch (we_exception_file $e){
			return $e->getMessage();
		}
	}

}
