<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 89092752619b $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-04-21 12:07 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_schedule_cmd extends we_editor_functions implements we_interface_cmd{

	public static function we_cmd(string $cmd0): bool{
		if(!we_modules_info::isActive(we_modules_info::SCHEDULER)){
			return false;
		}
		$we_doc = self::initVarsDoc();
		switch($cmd0){
			case 'we_schedule_add':
				$we_doc->add_schedule();
				break;
			case 'we_schedule_del':
				$we_doc->del_schedule(we_base_request::int('we_cmd', 0, 1));
				break;
			case 'we_schedule_delete_schedcat':
				$we_doc->delete_schedcat(we_base_request::int('we_cmd', 0, 1), we_base_request::int('we_cmd', 0, 2));
				break;
			case 'we_schedule_delete_all_schedcats':
				$we_doc->schedArr[we_base_request::int('we_cmd', 0, 1)]->clearCats();
				break;
			case 'we_schedule_add_schedcat':
				$we_doc->add_schedcat(we_base_request::int('we_cmd', 0, 1), we_base_request::int('we_cmd', 0, 2));
				break;
		}
		self::includeEditorDefault($we_doc, we_base_WE::$transaction, null);
		return true;
	}

}
