<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: c564388e074d $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-17 13:01 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifEqual extends we_weTag_ifTag{

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes
	 * @param string $content content between openingtag and closing tag @unused-param
	 * @param bool $internal if used by we internally @unused-param
	 * @return string output to print
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		self::attributeMissing($attribs, ['name' => false], __CLASS__);
		self::$doc = we_base_WE::getWeDoc();

		$name = self::getAttribute('name', $attribs, '', we_base_request::STRING);
		$eqname = self::getAttribute('eqname', $attribs, '', we_base_request::STRING);
		$value = self::getAttribute('value', $attribs, '', we_base_request::RAW);

		$elemValue = we_tag_var::getElementData(self::$doc, $name);
		if(!$eqname){
			self::attributeMissing($attribs, ['value' => false], __CLASS__);

			return ($elemValue == $value);
		}

		self::attributeMissing($attribs, ['eqname' => false], __CLASS__);
		$blockeq = self::getPostName($eqname);

		if(we_base_WE::$mainDoc['doc']->issetElement($blockeq)){//check if eqname is present in block
			$blockeqVal = we_tag_var::getElementData(self::$doc, $blockeq);
			return ($elemValue == $blockeqVal);
		}
		if(we_base_WE::$mainDoc['doc']->issetElement($eqname)){//check if eqname is present in document
			$eqVal = we_tag_var::getElementData(self::$doc, $eqname);
			return ($elemValue == $eqVal);
		}
//check if eqname is present in GLOBALS
		return (isset($GLOBALS[$eqname])) && ($GLOBALS[$eqname] == $elemValue);
	}

}
