<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 950b8bb84d05 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-06-15 19:51 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_navigation extends we_weTag_tag{
	/** @var array<string,we_navigation_items> */
	protected static $navi = [];

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): void{
		$parentid = self::getAttribute('parentid', $attribs, -1, we_base_request::INT);
		$id = self::getAttribute('id', $attribs, 0, we_base_request::INT);
		$name = self::getAttribute('navigationname', $attribs, 'default', we_base_request::STRING);
		$realId = ($id ?: ($parentid != -1 ? $parentid : 0));
		$showRoot = ($id ? true : ($parentid == -1));

		if(empty(self::$navi[$name]) || !self::$navi[$name] instanceof we_navigation_items){
			self::$navi[$name] = new we_navigation_items();
		}
		self::$navi[$name]->init($realId, $showRoot);
	}

	public static function getNaviItem(string $name): ?we_navigation_items{
		return self::$navi[$name] ?? null;
	}

}
