<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_customerResetPassword extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Module = we_modules_info::CUSTOMER;

		$required = new we_weTag_textAttribute('required');
		$loadFields = new we_weTag_textAttribute('loadFields');
		$customerEmailField = new we_weTag_textAttribute('customerEmailField');
		$expireToken = new we_weTag_textAttribute('expireToken');
		$pwdVal = new we_weTag_textAttribute('passwordRule');

		$this->TypeAttribute = new we_weTag_typeAttribute('type', [new we_weTag_option('direct', false, '', [$required, $loadFields, $pwdVal], [$required]),
			new we_weTag_option('email', false, '', [$required, $customerEmailField, $expireToken, $loadFields, $pwdVal], [$required, $customerEmailField]),
			new we_weTag_option('emailPassword', false, '', [$required, $customerEmailField, $expireToken, $loadFields, $pwdVal], [$required]),
			new we_weTag_option('resetFromMail', false, '', [$required, $pwdVal], [$required]),
			], true, '');
	}

}
