<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_field extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;

		$name = new we_weTag_choiceAttribute('name', [
			new we_weTag_option(we_listview_base::PATH_FIELD),
			new we_weTag_option(we_listview_base::ID_FIELD),
			new we_weTag_option(we_listview_base::TEXT_FIELD),
			new we_weTag_option(we_listview_base::URL_FIELD),
			new we_weTag_option(we_listview_base::HREF_FIELD),
			new we_weTag_option(we_listview_base::CUSTOMER_PREFIX . 'id'),
			new we_weTag_option(we_listview_base::CUSTOMER_PREFIX . 'Forename'),
			new we_weTag_option(we_listview_base::CUSTOMER_PREFIX . 'Surname'),
			new we_weTag_option(we_listview_base::TRIGGER_FIELD),
			new we_weTag_option(we_listview_base::DATECREATION_FIELD),
			new we_weTag_option(we_listview_base::DATEMOD_FIELD),
			new we_weTag_option(we_listview_base::DATEPUBLISHED_FIELD),
			new we_weTag_option(we_listview_base::PARENTID_FIELD),
			new we_weTag_option(we_listview_base::CATEGORY_FIELD),
			new we_weTag_option(we_listview_base::TITLE_FIELD),
			new we_weTag_option(we_listview_base::DESC_FIELD),
			new we_weTag_option(we_listview_base::KEYWORDS_FIELD),
			new we_weTag_option(we_listview_base::SHOPVARIANTS_FIELD, false, we_modules_info::SHOP),
			new we_weTag_option(we_listview_langlink::LANG_FIELD),
			new we_weTag_option(we_listview_langlink::TRG_LOCALE_FIELD),
			new we_weTag_option(we_listview_langlink::TRG_LANG_FIELD),
			new we_weTag_option(we_listview_langlink::TRG_LANG_NAME_FIELD),
			new we_weTag_option(we_listview_langlink::TRG_COUNTRY_FIELD),
			new we_weTag_option(we_listview_langlink::TRG_COUNTRYNAME_FIELD),
			], false, false);
		$classid = new we_weTag_selectorAttribute('classid', OBJECT_TABLE, we_base_ContentTypes::OBJECT, false, we_modules_info::OBJECT);
		$hyperlink = new we_weTag_selectAttribute('hyperlink', we_weTag_selectAttribute::getTrueFalse());
		$tid = new we_weTag_selectorAttribute('tid', TEMPLATES_TABLE, we_base_ContentTypes::TEMPLATE);
		$href = new we_weTag_textAttribute('href');
		$target = new we_weTag_choiceAttribute('target', [
			new we_weTag_option('_top'),
			new we_weTag_option('_parent'),
			new we_weTag_option('_self'),
			new we_weTag_option('_blank'),
			], false, false);
		$class = new we_weTag_textAttribute('class');
		$style = new we_weTag_textAttribute('style');
		$format = new we_weTag_textAttribute('format');
		$num_format = new we_weTag_choiceAttribute('num_format', [
			new we_weTag_option('german'),
			new we_weTag_option('french'),
			new we_weTag_option('english'),
			new we_weTag_option('swiss'),
			], false, false);
		$thumbnail = new we_weTag_sqlRowAttribute('thumbnail', THUMBNAILS_TABLE, false, 'Text');
		$thumbID = new we_weTag_sqlRowAttribute('thumbnailid', THUMBNAILS_TABLE, false, 'ID');
		$id = new we_weTag_selectorAttribute('id', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT);
		$parentidname = new we_weTag_textAttribute('parentidname');
		$alt = new we_weTag_textAttribute('alt');
		$max = new we_weTag_textAttribute('max');
		$src = new we_weTag_textAttribute('src');
		$width = new we_weTag_textAttribute('width');
		$height = new we_weTag_textAttribute('height');
		$border = new we_weTag_textAttribute('border');
		$hspace = new we_weTag_textAttribute('hspace');
		$vspace = new we_weTag_textAttribute('vspace');
		$align = new we_weTag_selectAttribute('align', [
			new we_weTag_option('left'),
			new we_weTag_option('right'),
			new we_weTag_option('top'),
			new we_weTag_option('bottom'),
			new we_weTag_option('absmiddle'),
			new we_weTag_option('middle'),
			new we_weTag_option('texttop'),
			new we_weTag_option('baseline'),
			new we_weTag_option('absbottom'),
		]);
//$only = new weTagData_textAttribute('only');
		$htmlspecialchars = new we_weTag_selectAttribute('htmlspecialchars', we_weTag_selectAttribute::getTrueFalse());
		$seeMode = new we_weTag_selectAttribute('seeMode', we_weTag_selectAttribute::getTrueFalse());
		$listviewname = new we_weTag_textAttribute('listviewname');
		$striphtml = new we_weTag_selectAttribute('striphtml', we_weTag_selectAttribute::getTrueFalse(true));
		$only = new we_weTag_selectAttribute('only', [new we_weTag_option('name'),
			new we_weTag_option('src'),
			new we_weTag_option('parentpath'),
			new we_weTag_option('filename'),
			new we_weTag_option('extension'),
			new we_weTag_option('filesize'),
			new we_weTag_option('id'),
			], false, '');
		$onlyImg = new we_weTag_selectAttribute('only', [
			new we_weTag_option('alt'),
			new we_weTag_option('extension'),
			new we_weTag_option('filename'),
			new we_weTag_option('filesize'),
			new we_weTag_option('height'),
			new we_weTag_option('name'),
			new we_weTag_option('parentpath'),
			new we_weTag_option('src'),
			new we_weTag_option('width'),
			], false, '');
		$outputlanguage = new we_weTag_textAttribute('outputlanguage', false, '');
		$doc = new we_weTag_selectAttribute('doc', [new we_weTag_option('self'),
			new we_weTag_option('top'),
			], false, '');
		$triggerid = new we_weTag_selectorAttribute('triggerid', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, '');
		$usekey = new we_weTag_selectAttribute('usekey', we_weTag_selectAttribute::getTrueFalse());
		$showpath = new we_weTag_selectAttribute('showpath', we_weTag_selectAttribute::getTrueFalse());
		$rootdir = new we_weTag_selectorAttribute('rootdir', CATEGORY_TABLE, '', false, '', true);
		$autobr = new we_weTag_selectAttribute('autobr', we_weTag_selectAttribute::getTrueFalse());
		$catfield = new we_weTag_selectAttribute('field', [
			new we_weTag_option('category'),
			new we_weTag_option('description'),
			new we_weTag_option('id'),
			new we_weTag_option('is_destinationprinciple'),
			new we_weTag_option('is_fallback_to_active'),
			new we_weTag_option('is_fallback_to_standard'),
			new we_weTag_option('is_from doc_object'),
			new we_weTag_option('path'),
			new we_weTag_option('title'),
			], false, '');
		$vatfield = new we_weTag_selectAttribute('field', [
			new we_weTag_option('country'),
			new we_weTag_option('countrycode'),
			new we_weTag_option('id'),
			new we_weTag_option('is_country_fallback_to_prefs'),
			new we_weTag_option('is_fallback_to_prefs'),
			new we_weTag_option('is_fallback_to_standard'),
			new we_weTag_option('is_standard'),
			new we_weTag_option('name'),
			new we_weTag_option('vat'),
			], false, '');
		$this->TypeAttribute = new we_weTag_typeAttribute('type', [
			new we_weTag_option('-'),
			new we_weTag_option('text', false, '', [$name, $hyperlink, $href, $target, $num_format, $alt, $max, $autobr, $striphtml, $htmlspecialchars, $triggerid], [$name]),
			new we_weTag_option('date', false, '', [$name, $hyperlink, $href, $target, $format, $alt, $max, $htmlspecialchars, $triggerid], [$name]),
			new we_weTag_option('img', false, '', [$name, $hyperlink, $href, $target, $thumbnail, $thumbID, $src, $width, $height, $border, $hspace, $vspace, $align, $onlyImg,
				$triggerid], [
				$name]),
			new we_weTag_option('video', false, '', [$name, $width, $height, $triggerid], [$name]),
			new we_weTag_option('audio', false, '', [$name, $width, $height, $triggerid], [$name]),
			new we_weTag_option('href', false, '', [$name], [$name]),
			new we_weTag_option('link', false, '', [$name], [$name]),
			new we_weTag_option('calendar', false, '', [$outputlanguage], []),
			new we_weTag_option('select', false, we_modules_info::OBJECT, [$name, $usekey, $htmlspecialchars, $triggerid], [$name]),
			new we_weTag_option('binary', false, we_modules_info::OBJECT, [$name, $hyperlink, $href, $target, $only], [$name]),
			new we_weTag_option('float', false, '', [$name, $hyperlink, $href, $target, $num_format, $triggerid], [$name]),
			new we_weTag_option('int', false, we_modules_info::OBJECT, [$name, $hyperlink, $href, $target, $triggerid], [$name]),
			new we_weTag_option('collection', false, '', [$name], [$name]),
			new we_weTag_option('shopVat', false, '', [$vatfield], []),
			new we_weTag_option('shopCategory', false, '', [$catfield, $showpath, $rootdir], []),
			new we_weTag_option('checkbox', false, '', [$name], [$name]),
			new we_weTag_option('country', false, '', [$outputlanguage, $doc], []),
			new we_weTag_option('language', false, '', [$outputlanguage, $doc], [])
			], false, '');

		$this->Attributes = [
			$name,
			$classid,
			$hyperlink,
			$tid,
			$href,
			$target,
			$class,
			$style,
			$format,
			$num_format,
			$thumbnail,
			$thumbID,
			$id,
			$parentidname,
			$alt,
			$max,
			$src,
			$width,
			$height,
			$border,
			$hspace,
			$vspace,
			$align,
			$only,
			$onlyImg,
			$htmlspecialchars,
			$seeMode,
			$listviewname,
			$striphtml,
			$outputlanguage,
			$autobr,
			$doc,
			$triggerid,
			$usekey,
			$vatfield,
			$catfield,
			$showpath,
			$rootdir,
		];
	}

}
