<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_ifClient extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];

		$this->Attributes = [
			new we_weTag_choiceAttribute('browser', [
				new we_weTag_option(we_base_browserDetect::IE),
				new we_weTag_option(we_base_browserDetect::EDGE),
				new we_weTag_option(we_base_browserDetect::NETSCAPE),
				new we_weTag_option(we_base_browserDetect::MOZILLA),
				new we_weTag_option(we_base_browserDetect::SAFARI),
				new we_weTag_option(we_base_browserDetect::OPERA),
				new we_weTag_option(we_base_browserDetect::LYNX),
				new we_weTag_option(we_base_browserDetect::KONQUEROR),
				new we_weTag_option(we_base_browserDetect::FF),
				new we_weTag_option(we_base_browserDetect::CHROME),
				new we_weTag_option(we_base_browserDetect::UNKNOWN),
				], false, false),
			new we_weTag_selectAttribute('operator', [
				new we_weTag_option('equal'),
				new we_weTag_option('less'),
				new we_weTag_option('less|equal'),
				new we_weTag_option('greater'),
				new we_weTag_option('greater|equal'),
				new we_weTag_option('every'),
				], false, ''),
			new we_weTag_textAttribute('version', false, ''),
			new we_weTag_choiceAttribute('system', [
				new we_weTag_option(we_base_browserDetect::SYS_WIN),
				new we_weTag_option(we_base_browserDetect::SYS_MAC),
				new we_weTag_option(we_base_browserDetect::SYS_UNIX),
				new we_weTag_option(we_base_browserDetect::SYS_ANDROID),
				new we_weTag_option(we_base_browserDetect::SYS_IPHONE),
				new we_weTag_option(we_base_browserDetect::SYS_IPAD),
				new we_weTag_option(we_base_browserDetect::UNKNOWN),
				], false, false, '')
		];
	}

}
