<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 4571e7be0153 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-21 13:49 +0200 $
 */
class we_tw_ifDoctype extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];

		$all = DB_WE::$inst->getAllq('SELECT Text FROM ' . DOC_TYPES_TABLE . ' WHERE IsFolder=0 ORDER BY Path', true);
		$docTypes = [];
		foreach($all as $txt){
			$docTypes[] = new we_weTag_option((string) $txt);
		}
		$this->Attributes = [
			new we_weTag_choiceAttribute('doctypes', $docTypes, false, true, ''),
			new we_weTag_sqlRowAttribute('doctypeIDs', DOC_TYPES_TABLE, false),

			new we_weTag_selectAttribute('doc', [
				new we_weTag_option('top'),
				new we_weTag_option('self'),
				new we_weTag_option('listview'),
				], false),
		];
	}

}
