<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_link extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$this->Attributes = [
			new we_weTag_textAttribute('name', false, ''),
			new we_weTag_selectAttribute('only', [
				new we_weTag_option('href'),
				new we_weTag_option('img_id'),
				new we_weTag_option('type'),
				new we_weTag_option('ctype'),
				new we_weTag_option('border'),
				new we_weTag_option('hspace'),
				new we_weTag_option('vspace'),
				new we_weTag_option('align'),
				new we_weTag_option('alt'),
				new we_weTag_option('jsheight'),
				new we_weTag_option('jswidth'),
				new we_weTag_option('jsposx'),
				new we_weTag_option('id'),
				new we_weTag_option('text'),
				new we_weTag_option('title'),
				new we_weTag_option('accesskey'),
				new we_weTag_option('tabindex'),
				new we_weTag_option('lang'),
				new we_weTag_option('rel'),
				new we_weTag_option('obj_id'),
				new we_weTag_option('anchor'),
				new we_weTag_option('params'),
				new we_weTag_option('target'),
				new we_weTag_option('img_title'),
				], false, ''),
			new we_weTag_textAttribute('class', false, ''),
			new we_weTag_textAttribute('style', false, ''),
			new we_weTag_textAttribute('text', false, ''),
			new we_weTag_selectAttribute('xml', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectorAttribute('id', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, ''),
			new we_weTag_selectorAttribute('imageid', FILE_TABLE, we_base_ContentTypes::IMAGE, false, ''),
			new we_weTag_selectorAttribute('triggerid', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, false, ''),
			new we_weTag_selectAttribute('hidedirindex', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('objectseourls', we_weTag_selectAttribute::getTrueFalse())
		];
	}

}
