<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_shopCategory extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::SHOP;

		$this->Attributes = [
			new we_weTag_selectorAttribute('id', CATEGORY_TABLE, ''),
			/* temorarily disabled
			  $this->Attributes[] = new weTagData_selectAttribute('doc', [
			  new weTagDataOption('self'),
			  new weTagDataOption('top'),
			  ], false, '');
			 *
			 */
			new we_weTag_selectAttribute('field', [
				new we_weTag_option('id'),
				new we_weTag_option('category'),
				new we_weTag_option('path'),
				new we_weTag_option('title'),
				new we_weTag_option('description'),
				new we_weTag_option('is_destinationprinciple'),
				new we_weTag_option('is_from_doc_object'),
				new we_weTag_option('is_fallback_to_standard'),
				new we_weTag_option('is_fallback_to_active')
				], false, ''),
			new we_weTag_selectAttribute('showpath', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectorAttribute('rootdir', CATEGORY_TABLE, '', false, '', true),
		];
	}

}
