<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: 02a1ba0c8f01 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-08-12 16:37 +0200 $
 */
class we_tw_shopField extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::SHOP;

		$name = new we_weTag_textAttribute('name', true, '');
		$ref = new we_weTag_selectAttribute('reference', [new we_weTag_option('article'),
			new we_weTag_option('cart'),
			], true, '');
		$shopname = new we_weTag_textAttribute('shopname', true, '');

		$value = new we_weTag_textAttribute('value', false, '');
		$values = new we_weTag_textAttribute('values', false, '');
		$checked = new we_weTag_choiceAttribute('checked', we_weTag_selectAttribute::getTrueFalse(), false, false, '');
		$add = new we_weTag_choiceAttribute('mode', [new we_weTag_option('add'),], false, false, '');
		$ascountry = new we_weTag_selectAttribute('ascountry', we_weTag_selectAttribute::getTrueFalse());
		$aslanguage = new we_weTag_selectAttribute('aslanguage', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute('type', [new we_weTag_option('checkbox', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('choice', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('country', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('hidden', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('language', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('print', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add, $ascountry, $aslanguage]),
			new we_weTag_option('radio', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('select', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('textarea', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			new we_weTag_option('textinput', false, '', [$name, $ref, $shopname, $value, $values, $checked, $add]),
			]
			, false, '');

		$this->Attributes = [
			$name,
			$ref,
			$shopname,
			$value,
			$values,
			$checked,
			$add,
		];
	}

}
