<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 9aed2d40b9fb $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-09-01 17:08 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_workflow_tree extends we_tree_base{

	protected function customJSFile(): string{
		return we_html_element::jsScript(WE_JS_MODULES_DIR . 'workflow/workflow_tree.js', 'initTree();');
	}

	public static function getItems(int $ParentId, int $Offset = 0, int $Segment = 500, bool $sort = false): array{
		$items = [];
		$ids = DB_WE::$inst->getAllq('SELECT ID FROM ' . WORKFLOW_TABLE . ' ORDER BY Text ASC', true);
		'@phan-var int[] $ids';
		foreach($ids as $id){
			$workflowDef = new we_workflow_workflow($id);
			$items[] = [
				'id' => $workflowDef->ID,
				'parentid' => 0,
				'text' => htmlspecialchars(addslashes($workflowDef->Text)),
				'typ' => 'group',
				'open' => 0,
				'contenttype' => we_base_ContentTypes::FOLDER_COMMON,
				'table' => WORKFLOW_TABLE,
				'loaded' => 0,
				'checked' => false,
			];

			foreach($workflowDef->documents as $v){
				$items[] = [
					'id' => $v['ID'],
					'parentid' => $workflowDef->ID,
					'text' => htmlspecialchars(addslashes($v['Text'])),
					'typ' => 'item',
					'open' => 0,
					'contenttype' => 'file',
					'table' => FILE_TABLE,
				];
			}
		}

		return $items;
	}

}
