/* global WE, top, container,drawTree,treeData */

/**
 * webEdition CMS
 *
 * $Author: Lukas Imhof $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

container.prototype.openClose = function (id) {
	var sort = "";
	if (id === "") {
		return;
	}
	var eintragsIndex = this.indexOfEntry(id);
	var openstatus = (this.elements[eintragsIndex].open ? 0 : 1);

	this.elements[eintragsIndex].open = openstatus;

	if (openstatus && !this.elements[eintragsIndex].loaded) {
		top.content.cmd.location = top.getFrameset() + "&pnt=cmd&cmd=mainload&pid=" + id + (sort !== "" ? "&sort=" + sort : "");
	} else {
		drawTree();
	}
	if (openstatus) {
		this.elements[eintragsIndex].loaded = true;
	}
};

container.prototype.doClick = function (id) {
	var cmd;
	var node = this.get(id);

	if(this.wasdblclick && node.typ === 'group'){
		this.openClose(id);
		return;
	}

	if (top.content.hot) {
		if (window.confirm(WE().consts.g_l.exports.save_changed_export)) {
			top.content.we_cmd("we_export_save");
			return;
		}
	}
	we_cmd('unsetHot');
	cmd = "we_export_edit";
	top.content.editor.edbody.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=export&pnt=edbody&cmd=" + cmd + "&cmdid=" + node.id + "&tabnr=" + top.content.activ_tab;
};

function startTree() {
	top.content.cmd.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=export&pnt=cmd&cmd=mainload&pid=0";
	drawTree();
}