/* global WE, top, data */

/**
 * webEdition CMS
 *
 * webEdition CMS
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

var activ_tab = 1,
	scrollToVal = 0,
	hot = false;

WE().util.loadConsts(document, "g_l.glossary");
WE().util.loadConsts(document, "glossary");
function setHot() {
	hot = true;
}

function unsetHot() {
	hot = false;
}

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		//var url = WE().util.getWe_cmdArgsUrl(args);
		hot = false,
		exc;

	switch (args[0]) {
		case 'unsetHot':
			window.unsetHot();
			break;
		case "exit_glossary":
			if (hot) {
				WE().util.showConfirm(window, '', WE().consts.g_l.glossary.view.save_changed_glossary, ["processConfirmHot", "save_glossary"], ["processConfirmHot", "unsetHot"
				].concat(args), WE().consts.g_l.button.save, WE().consts.g_l.button.revert);
				break;
			}
			top.opener.top.we_cmd("exit_modules");
			break;
		case "new_glossary_acronym":
		case "new_glossary_abbreviation":
		case "new_glossary_foreignword":
		case "new_glossary_link":
		case "new_glossary_textreplacement":
			if (hot) {
				WE().util.showConfirm(window, '', WE().consts.g_l.glossary.view.save_changed_glossary, ["processConfirmHot", "save_glossary"], ["processConfirmHot", "unsetHot"
				].concat(args), WE().consts.g_l.button.save, WE().consts.g_l.button.revert);
				break;
			}
			if (top.content.editor.edbody.loaded) {
				top.content.editor.edbody.document.we_form.cmd.value = args[0];
				if (args[1] !== undefined) {
					top.content.editor.edbody.document.we_form.cmdid.value = args[1];
				}
				top.content.editor.edbody.document.we_form.tabnr.value = 1;
				top.content.editor.edbody.submitForm();
			} else {
				window.setTimeout(we_cmd.apply, 10, args);
			}
			break;
		case "delete_glossary":
			exc = top.content.editor.edbody.document.we_form.cmdid.value;
			if (exc.substring(exc.length - 10, exc.length) === "_exception") {
				WE().util.showMessage(WE().consts.g_l.glossary.view.nothing_to_delete, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			switch (top.content.editor.edbody.document.we_form.cmd.value) {
				case "home":
				case "we_glossary_view_folder":
				case "we_glossary_view_type":
				case "we_glossary_view_exception":
					return;
			}
			if (top.content.editor.edbody.document.we_form.newone.value == 1) {
				WE().util.showMessage(WE().consts.g_l.glossary.view.nothing_to_delete, WE().consts.message.WE_MESSAGE_ERROR, window);
				return;
			}
			if (!WE().util.hasPerm("DELETE_GLOSSARY")) {
				WE().util.showMessage(WE().consts.g_l.glossary.view.no_perms, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;

			}
			if (!top.content.editor.edbody.loaded) {
				WE().util.showMessage(WE().consts.g_l.glossary.view.nothing_to_delete, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			WE().util.showConfirm(window, "", WE().consts.g_l.glossary.view.delete_alert, ["delete_glossary_do"]);
			break;
		case "delete_glossary_do":
			top.content.editor.edbody.document.we_form.cmd.value = "delete_glossary";
			top.content.editor.edbody.document.we_form.tabnr.value = top.content.activ_tab;
			top.content.editor.edheader.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&home=1&pnt=edheader";
			top.content.editor.edfooter.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&home=1&pnt=edfooter";
			top.content.editor.edbody.submitForm();

			break;
		case "reloadHeaderFooter":
			top.content.editor.edheader.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&pnt=edheader&text=" + encodeURI(args[1]);
			top.content.editor.edfooter.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&pnt=edfooter";

			break;

		case "we_glossary_save_exception":
		case "save_glossary":
			exc = top.content.editor.edbody.document.we_form.cmdid.value;
			if (exc.substring(exc.length - 10, exc.length) === "_exception") {
				args[0] = "we_glossary_save_exception";
			}
			switch (top.content.editor.edbody.document.we_form.cmd.value) {
				case "home":
				case "we_glossary_view_folder":
				case "we_glossary_view_type":
					return;
			}
			if (top.content.editor.edbody.loaded) {
				top.content.editor.edbody.document.we_form.cmd.value = args[0];
				top.content.editor.edbody.document.we_form.tabnr.value = top.content.activ_tab;
				if (top.makeNewEntryCheck) {
					top.content.editor.edbody.submitForm("cmd");
				} else {
					top.content.editor.edbody.submitForm();
				}
			} else {
				WE().util.showMessage(WE().consts.g_l.glossary.view.nothing_to_save, WE().consts.message.WE_MESSAGE_ERROR, window);
			}
			we_cmd('unsetHot');
			break;
		case "doAfterSave":
			if (top.makeNewEntryCheck) {
				top.content.we_cmd("new_glossary_" + args[1], args[2]);
			} else {
				top.content.editor.edheader.location.reload();
			}
			top.content.hot = false;
			break;
		case "we_glossary_edit_acronym":
		case "we_glossary_edit_abbreviation":
		case "we_glossary_edit_foreignword":
		case "we_glossary_edit_link":
		case "we_glossary_edit_textreplacement":
			if (hot) {
				WE().util.showConfirm(window, '', WE().consts.g_l.glossary.view.save_changed_glossary, ["processConfirmHot", "save_glossary"], ["processConfirmHot", "unsetHot"
				].concat(args), WE().consts.g_l.button.save, WE().consts.g_l.button.revert);
				break;
			}
			if (!WE().util.hasPerm("EDIT_GLOSSARY")) {
				WE().util.showMessage(WE().consts.g_l.glossary.view.no_perms, WE().consts.message.WE_MESSAGE_ERROR, window);
				break;
			}
			top.content.hot = false;
			top.content.editor.edbody.document.we_form.cmd.value = args[0];
			top.content.editor.edbody.document.we_form.cmdid.value = args[1];
			top.content.editor.edbody.document.we_form.tabnr.value = top.content.activ_tab;
			top.content.editor.edbody.submitForm();
			break;
		case "load":
			top.content.cmd.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&pnt=cmd&pid=" + args[1] + "&offset=" + args[2] + "&sort=" + args[3];
			break;
		case "doPopulateWorkspaces":
			populateWorkspaces(args[1]);
			if (args[1] === "values") {
				var el = top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'];
				for (var id in args[2]) {
					el.options.add(new Option(args[2][id], id));
				}
			}
			break;
		case "checkSaveNew":
			if (top.makeNewEntryCheck) {
				document.getElementById("makeNewEntry").checked = true;
			}
			if (top.publishWhenSave && document.getElementById("publishWhenSave")) {
				document.getElementById("publishWhenSave").checked = true;
			}
			break;
		case "home":
			top.content.editor.edbody.parent.location = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_showMod&mod=glossary&pnt=editor";
			/* falls through */
		default:
			top.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}

function populateWorkspaces(type) {
	switch (type) {
		case 'values':
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'].options.length = 0;
			top.content.editor.edbody.setDisplay("ObjectWorkspaceID", "block");
			return;
		case 'workspace':
			top.content.editor.edbody.setDisplay("ObjectWorkspaceID", "block");
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'].options.length = 0;
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'].options.add(new Option("/", 0));
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'].selectedIndex = 0;
			return;
		case 'noWorkspace':
			top.content.editor.edbody.setDisplay("ObjectWorkspaceID", "none");
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'].options.length = 0;
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectWorkspaceID]'].options.add(new Option("-1", -1));
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectLinkID]'].value = "";
			top.content.editor.edbody.document.we_form.elements['link[Attributes][ObjectLinkPath]'].value = "";
			WE().util.showMessage(WE().consts.g_l.glossary.view.no_workspace, WE().consts.message.WE_MESSAGE_ERROR, window);
			return;
	}

}