/* global tinymce */

/**
 * webEdition CMS
 *
 * $Author: Lukas Imhof $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

(function () {
	var wetable = (function () {
		var global = tinymce.util.Tools.resolve('tinymce.PluginManager');

		var Commands = {register: function (editor) {
				editor.addCommand('mceWetable', function () {
					var sel = editor.selection;
					if (editor.dom.getParent(sel.getNode(), 'TABLE') !== null) {
						editor.execCommand('mceTableProps');
					} else {
						editor.execCommand('mceInsertTable');
					}
				});
			}};

		var Buttons = {register: function (editor) {
				editor.ui.registry.addToggleButton('wetableinsert', {
					icon: 'table',
					tooltip: 'Table',
					onAction: function () {
						editor.execCommand('mceWetable');
					},
					onSetup: function (buttonApi) {
						editor.weControlManager.register('button', 'wetableinsert', buttonApi);
					}
				});
				editor.ui.registry.addMenuButton('wetablemenu', {
					tooltip: 'btnTable_' + editor.getParam('id'),
					icon: 'table',
					fetch: function (callback) {
						return callback('inserttable deletetable');
					},
					onSetup: function (buttonApi) {
						var split = editor.getParam('weWin').document.querySelector('[title="btnTable_' + editor.getParam('id') + '"]');
						split.title = 'Table';
						split.removeChild(split.firstChild);
					}
				});
			}};

		global.add('wetable', function (editor) {
			Commands.register(editor);
			Buttons.register(editor);
			return {};
		});

		function Plugin() {}

		return Plugin;

	}());
})();